RRDCOLLECT.CONF(5)

NAME
rrdcollect.conf -- RRDcollect configuration file.

SYNOPSIS
/opt/etc/rrdcollect.conf

DESCRIPTION
The rrdcollect.conf file contains information where to look for data and to which database file put it.

  Variables

    # Configuration values:
    interval = 60

  Patterns

    # System statistics:
    file:///proc/stat
    "cpu %d %d %d %d"    stat.rrd:user,nice,system,idle
    "processes %u"       stat.rrd:processes
    "swap %u %u"         stat.rrd:swap_in,swap_out

    # System load: 1, 5 and 15 min. average
    file:///proc/loadavg
    "%f %f %f"           avg1.rrd:load,avg5.rrd:load,avg15.rrd:load

    # Memory usage:
    file:///proc/meminfo
    "Mem:  %*d %d %d %d %d %d"    memory.rrd:used,free,shared,buffers,cached
    "Swap: %*d %d %*d"            memory.rrd:swap_used

    # S.M.A.R.T. HDD temperature:
    file:///proc/ide/hda/smart_values
    7:"%*04x %*04x %02x%*02x"       temperature.rrd:hda

  Regular expressions

    # Using regular expressions:
    file:///proc/stat
    /cpu  (\d+) (\d+) (\d+) (\d+)/    stat.rrd:user,nice,system,idle

FILES
/opt/etc/rrdcollect.conf

SEE ALSO
rrdcollect(8), rrdtool(1), pcre(3)

AUTHOR
Dawid Kuroczko <qnex@knm.org.pl>